org.apache.fop

## Interface ResourceEventProducer

All Superinterfaces:
  EventProducer

    public interface ResourceEventProducer
    extends EventProducer

Event producer interface for resource events (missing images, fonts etc.).

### Nested Class Summary

Nested Classes
`static class` `ResourceEventProducer.Provider` Provider class for the event producer.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `cannotDeleteTempFile(Object source, File tempFile)` Cannot delete a temporary file.
`void` `catalogResolverNotCreated(Object source, String message)` Catalog Resolver not created, due to InstantiationException or IllegalAccessException
`void` `catalogResolverNotFound(Object source)` Catalog Resolver not found along the class path
`void` `foreignXMLNoHandler(Object source, Document doc, String namespaceURI)` No handler for foreign XML content.
`void` `foreignXMLProcessingError(Object source, Document doc, String namespaceURI, Exception e)` Error processing foreign XML content.
`void` `hyphenationNotFound(Object source, String uri)` Hyphenation not found.
`void` `ifoNoIntrinsicSize(Object source, Locator loc)` Intrinsic size of fo:instream-foreign-object could not be determined.
`void` `imageError(Object source, String uri, org.apache.xmlgraphics.image.loader.ImageException e, Locator loc)` Error while processing image.
`void` `imageIOError(Object source, String uri, IOException ioe, Locator loc)` I/O error while loading an image.
`void` `imageNotFound(Object source, String uri, FileNotFoundException fnfe, Locator loc)` Image not found.
`void` `imageWarning(Object source, String message)` Warning in an image.
`void` `imageWritingError(Object source, Exception e)` Error while writing/serializing an image to an output format.
`void` `uriError(Object source, String uri, Exception e, Locator loc)` Error while handling a URI.

### Method Detail

#### imageNotFound

    void imageNotFound(Object source,
                       String uri,
                       FileNotFoundException fnfe,
                       Locator loc)

Image not found.

Parameters:
  `source` - the event source
  `uri` - the original URI of the image
  `fnfe` - the "file not found" exception
  `loc` - the location of the error or null
Event.severity:
  ERROR

#### imageError

    void imageError(Object source,
                    String uri,
                    org.apache.xmlgraphics.image.loader.ImageException e,
                    Locator loc)

Error while processing image.

Parameters:
  `source` - the event source
  `uri` - the original URI of the image
  `e` - the image exception
  `loc` - the location of the error or null
Event.severity:
  ERROR

#### imageIOError

    void imageIOError(Object source,
                      String uri,
                      IOException ioe,
                      Locator loc)

I/O error while loading an image.

Parameters:
  `source` - the event source
  `uri` - the original URI of the image
  `ioe` - the I/O exception
  `loc` - the location of the error or null
Event.severity:
  ERROR

#### imageWritingError

    void imageWritingError(Object source,
                           Exception e)

Error while writing/serializing an image to an output format.

Parameters:
  `source` - the event source
  `e` - the original exception
Event.severity:
  ERROR

#### uriError

    void uriError(Object source,
                  String uri,
                  Exception e,
                  Locator loc)

Error while handling a URI.

Parameters:
  `source` - the event source
  `uri` - the original URI of the image
  `e` - the original exception
  `loc` - the location of the error or null
Event.severity:
  ERROR

#### ifoNoIntrinsicSize

    void ifoNoIntrinsicSize(Object source,
                            Locator loc)

Intrinsic size of fo:instream-foreign-object could not be determined.

Parameters:
  `source` - the event source
  `loc` - the location of the error or null
Event.severity:
  ERROR

#### foreignXMLProcessingError

    void foreignXMLProcessingError(Object source,
                                   Document doc,
                                   String namespaceURI,
                                   Exception e)

Error processing foreign XML content.

Parameters:
  `source` - the event source
  `doc` - the foreign XML
  `namespaceURI` - the namespace URI of the foreign XML
  `e` - the original exception
Event.severity:
  ERROR

#### foreignXMLNoHandler

    void foreignXMLNoHandler(Object source,
                             Document doc,
                             String namespaceURI)

No handler for foreign XML content.

Parameters:
  `source` - the event source
  `doc` - the foreign XML
  `namespaceURI` - the namespace URI of the foreign XML
Event.severity:
  ERROR

#### cannotDeleteTempFile

    void cannotDeleteTempFile(Object source,
                              File tempFile)

Cannot delete a temporary file.

Parameters:
  `source` - the event source
  `tempFile` - the temporary file
Event.severity:
  ERROR

#### catalogResolverNotFound

    void catalogResolverNotFound(Object source)

Catalog Resolver not found along the class path

Parameters:
  `source` - the event source
Event.severity:
  ERROR

#### catalogResolverNotCreated

    void catalogResolverNotCreated(Object source,
                                   String message)

Catalog Resolver not created, due to InstantiationException or IllegalAccessException

Parameters:
  `source` - the event source
  `message` - the exception message
Event.severity:
  ERROR

#### imageWarning

    void imageWarning(Object source,
                      String message)

Warning in an image.

Parameters:
  `source` - the event source
  `message` - warning
Event.severity:
  WARN

#### hyphenationNotFound

    void hyphenationNotFound(Object source,
                             String uri)

Hyphenation not found.

Parameters:
  `source` - the event source
  `uri` - the original URI of the hyphenation
Event.severity:
  WARN